{
  "name": "seec-portal-frontend",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve --open --mode development",
    "build": "vue-cli-service build --mode production"
  },
  "dependencies": {
    "@element-plus/icons-vue": "0.2.4",
    "ali-oss": "^6.17.1",
    "axios": "^0.25.0",
    "babel-plugin-import": "^1.13.3",
    "clipboard": "^2.0.11",
    "core-js": "^3.6.5",
    "dayjs": "^1.11.7",
    "echarts": "^4.8.0",
    "element-plus": "^1.0.2-beta.71",
    "marked": "^4.2.3",
    "pdfjs": "^2.4.7",
    "pdfjs-dist": "2.5.207",
    "pdfmake": "^0.2.6",
    "react": "^18.2.0",
    "resize-detector": "^0.3.0",
    "vue": "^3.1.0",
    "vue-pdf": "^4.3.0",
    "vue-pdf-embed": "^1.1.5",
    "vue-pdf-preview": "^0.0.3",
    "vue-pdf-signature": "^4.2.7",
    "vue-router": "^4.0.12",
    "vue3-pdfjs": "^0.1.6",
    "vuex": "^4.0.2",
    "worker-loader": "^3.0.8",
    "yarn": "^1.22.19"
  },
  "devDependencies": {
    "@babel/core": "^7.20.2",
    "@babel/plugin-proposal-class-properties": "^7.18.6",
    "@babel/plugin-transform-runtime": "^7.19.6",
    "@babel/preset-env": "^7.20.2",
    "@babel/preset-react": "^7.18.6",
    "@babel/runtime": "^7.20.1",
    "@vue/babel-plugin-jsx": "^1.1.1",
    "@vue/cli-plugin-babel": "~4.5.0",
    "@vue/cli-plugin-eslint": "~4.5.0",
    "@vue/cli-plugin-router": "^4.5.15",
    "@vue/cli-plugin-vuex": "^4.5.15",
    "@vue/cli-service": "~4.5.0",
    "@vue/compiler-sfc": "^3.0.0",
    "babel-eslint": "^10.1.0",
    "babel-loader": "^8.3.0",
    "eslint": "^6.7.2",
    "eslint-plugin-vue": "^7.0.0",
    "file-loader": "^6.2.0",
    "sass": "^1.49.0",
    "sass-loader": "^7.3.0",
    "terser-webpack-plugin": "^4.2.3",
    "url-loader": "^4.1.1",
    "vue-loader-v16": "^16.0.0-beta.5.4",
    "vue3-pdf": "^4.2.6",
    "webpack": "^4.x",
    "webpackbar": "^5.0.2"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ]
}
